import { AtModal, AtModalContent } from "taro-ui";
import { View, Image, Text, Button, Input } from "@tarojs/components";
import "./index.less";
import { useState, useEffect } from "react";

export default function shareModal(props) {
  const {  isOpened, onClose, product, onShareTitleChange } = props;
  const [shareTitle, setShareTitle] = useState('');

  useEffect(() => {
    if (product?.item_title) {
      setShareTitle(product.item_title);
    }
  }, [product]);
  useEffect(() => {
    if (!isOpened) {
      setShareTitle('');
    }
  }, [isOpened]);
  const handleInputChange = (e) => {
    const newTitle = e.detail.value;
    setShareTitle(newTitle);
    onShareTitleChange?.(newTitle);
  }
  return (
    <View className="share-modal">
      <AtModal isOpened={isOpened} closeOnClickOverlay={true} onClose={onClose}>
        <AtModalContent>
          {product && (
          <View className="container">
            <Image className="product-image" src={product.image_url} mode="aspectFill" />
            <View className="title">{product.item_title}</View>
            <Input onInput={handleInputChange} className="input" value={shareTitle} />
            <Button openType="share" onClick={onClose}>
              <View className="share-button">
                分享
              </View>
            </Button>
          </View>
        )}
      </AtModalContent>
    </AtModal>
    </View>
  );
}
